<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<html>
<jsp:include page="fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="fragments/mainmenu.jsp" />
		<spring:url value="/job/results" var="jobqueryservlet" />

	<div class="panel panel-default">
	<div class="panel-heading">
		<p style="font-weight:bold;">Jobs executed from ${ip}</p>
	</div>
	<div class="panel-body">

		<c:choose>
			<c:when test="${results == null}">
				<p>No jobs found...</p>
			</c:when>
			<c:otherwise>
				<p>${njobs} jobs found:</p>
				<div class="table-responsive">
					<table class="table table-striped table-hover table-bordered">
						<thead>
							<tr>
								<th style="text-align: centre">ID</th>
								<th style="text-align: left">Date</th>
								<th style="text-align: left">Sequence</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${results.mainInfo}" var="res" varStatus="status">
								<tr>
									<td><a href="${jobqueryservlet}?IdJob=${res.key}&Search=Search">${res.key}</a></td>
									
									<c:forEach items="${res.value}" var="info" varStatus="status">
										<c:if test="${status.first}">
											<td style="text-align: left; border-buttom: dotted; font-family: monospace">${info}</td>
										</c:if>
										 <c:if test="${!status.first}">
											<c:choose>
											<c:when test="${info==''}">
												<td style="text-align: left; border-buttom: dotted; font-family: monospace">Alignment job</td>
											</c:when>
											<c:otherwise>
												<td style="text-align: left; border-buttom: dotted; font-family: monospace">${info}</td>
											</c:otherwise>
											</c:choose>
										</c:if>
									</c:forEach>
								</tr>
							</c:forEach>
						</tbody>
					</table>
				</div>
			</c:otherwise>
		</c:choose>

	</div>
	</div>

		<jsp:include page="fragments/footer.jsp" />
	</div>
</body>
</html>